﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class Detection : System.Web.UI.Page
{
    public const string APP_TUXCLIENT = "2XClient";

    public const string OS_WINDOWS = "0";
    public const string OS_LINUX = "1";
    public const string OS_MAC = "2";
    public const string OS_UNKNOWN = "3";
    public const string OS_ANDROID = "4";
    public const string OS_IOS = "5";

    protected void Page_Load(object sender, EventArgs e)
    {
        //In the case of get version URL Schema (client detection), the Parallels Client will connect with this page to update the client details (this is configured in the path parameter of the url schema).

        //check if this page was called from the Parallels Client
        if (Request.QueryString["app"] == APP_TUXCLIENT)
        {
            //update the session variables with the querystrings passed from the Parallels Client
            Session["version"] = Context.Request["version"];
            Session["os"] = Context.Request["os"];
        }

        if(Session["version"] != null)
            lblVersion.Text = Session["version"].ToString();

        if (Session["os"] != null)
        {
            switch (Session["os"].ToString())
            {
                case OS_ANDROID:
                    lblOS.Text = "Android";
                    break;
                case OS_IOS:
                    lblOS.Text = "IOS";
                    break;
                case OS_LINUX:
                    lblOS.Text = "Linux";
                    break;
                case OS_MAC:
                    lblOS.Text = "Mac";
                    break;
                case OS_WINDOWS:
                    lblOS.Text = "Windows";
                    break;
                case OS_UNKNOWN:
                default:
                    lblOS.Text = "Unknown";
                    break;
            }
        }

    }
}